import { ChainGunLink } from './ChainGunLink';
import { GunGraph } from './GunGraph';
interface ChainGunOptions {
    peers?: string[];
    graph?: GunGraph;
    WS?: typeof WebSocket;
}
export declare class ChainGun {
    graph: GunGraph;
    private LinkClass;
    private _opt;
    constructor(opt?: ChainGunOptions, LinkClass?: typeof ChainGunLink);
    opt(options: ChainGunOptions): this;
    /**
     * Traverse a location in the graph
     *
     * @param key Key to read data from
     * @param cb
     * @returns New chain context corresponding to given key
     */
    get(soul: string, cb?: GunPutCb): ChainGunLink;
}
export {};
